
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;



CREATE TABLE IF NOT EXISTS `kegiatan` (
  `id_skp` int(11) NOT NULL,
  `id_kegiatan` int(11) NOT NULL,
  `deskripsi` text NOT NULL,
  `target_ak` int(11) NOT NULL,
  `target_kualitas` int(11) NOT NULL,
  `target_kuantitas` varchar(255) NOT NULL,
  `target_biaya` int(11) NOT NULL,
  `target_waktu` varchar(255) NOT NULL,
  `real_ak` int(11) DEFAULT NULL,
  `real_kualitas` int(11) DEFAULT NULL,
  `real_kuantitas` varchar(255) DEFAULT NULL,
  `real_biaya` int(11) DEFAULT NULL,
  `real_waktu` varchar(255) DEFAULT NULL,
  `nilai_kegiatan` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `kehadiran`
--

CREATE TABLE IF NOT EXISTS `kehadiran` (
  `id_pegawai` varchar(20) NOT NULL,
  `presentase_kehadiran` int(11) NOT NULL,
  `jumlah_absen` int(11) NOT NULL,
  `alasan_izin` varchar(255) NOT NULL,
  `periode` int(11) NOT NULL,
  `id_kehadiran` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `kehadiran`
--

INSERT INTO `kehadiran` (`id_pegawai`, `presentase_kehadiran`, `jumlah_absen`, `alasan_izin`, `periode`, `id_kehadiran`) VALUES
('2147483647', 70, 3, '1. Sakit perut\r\n2. Nikah\r\n3. Bolos', 2016, 1);

-- --------------------------------------------------------

--
-- Table structure for table `pendidikan`
--

CREATE TABLE IF NOT EXISTS `pendidikan` (
  `id_pegawai` int(11) NOT NULL,
  `kegiatan` text NOT NULL,
  `tanggal` date NOT NULL,
  `hasil` int(11) NOT NULL,
  `keterangan` text NOT NULL,
  `id_pendidikan` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pendidikan`
--

INSERT INTO `pendidikan` (`id_pegawai`, `kegiatan`, `tanggal`, `hasil`, `keterangan`, `id_pendidikan`) VALUES
(2147483647, 'Mengelola dana BOS', '2016-03-01', 88, 'Bla bla bla', 1),
(2147483647, 'Mengelola dana makanan', '2016-04-03', 90, 'Lalalala', 2);

-- --------------------------------------------------------

--
-- Table structure for table `penilaian`
--

CREATE TABLE IF NOT EXISTS `penilaian` (
  `id_penilaian` int(11) NOT NULL,
  `id_pegawai` varchar(20) NOT NULL,
  `id_penilai` varchar(20) NOT NULL,
  `periode` year(4) NOT NULL,
  `nilai` int(11) DEFAULT NULL,
  `persetujuan_atasan` tinyint(1) DEFAULT NULL,
  `persetujuan_pegawai` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `penilaian`
--

INSERT INTO `penilaian` (`id_penilaian`, `id_pegawai`, `id_penilai`, `periode`, `nilai`, `persetujuan_atasan`, `persetujuan_pegawai`) VALUES
(1, '196006041982101099', '195608011981111099', 2016, NULL, NULL, NULL);
-- --------------------------------------------------------

--
-- Table structure for table `perilaku_kerja`
--

CREATE TABLE IF NOT EXISTS `perilaku_kerja` (
  `id_penilaian` int(11) NOT NULL,
  `id_perilaku` int(11) NOT NULL,
  `pelayanan` int(11) NOT NULL,
  `integritas` int(11) NOT NULL,
  `komitmen` int(11) NOT NULL,
  `disiplin` int(11) NOT NULL,
  `kerjasama` int(11) NOT NULL,
  `kepemimpinan` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `perilaku_kerja`
--

INSERT INTO `perilaku_kerja` (`id_penilaian`, `id_perilaku`, `pelayanan`, `integritas`, `komitmen`, `disiplin`, `kerjasama`, `kepemimpinan`) VALUES
(1, 1, 90, 90, 90, 90, 90, 90);

-- --------------------------------------------------------

--
-- Table structure for table `rekomendasi`
--

CREATE TABLE IF NOT EXISTS `rekomendasi` (
  `id_penilaian` int(11) NOT NULL,
  `id_rekomendasi` int(11) NOT NULL,
  `rek_pelatihan` text,
  `rek_promosi` text,
  `rek_mutasi` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `skp`
--

CREATE TABLE IF NOT EXISTS `skp` (
  `id_penilaian` int(11) NOT NULL,
  `id_skp` int(11) NOT NULL,
  `nilai` int(11) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `kegiatan`
--
ALTER TABLE `kegiatan`
  ADD PRIMARY KEY (`id_kegiatan`), ADD UNIQUE KEY `idx_skp` (`id_skp`);

--
-- Indexes for table `kehadiran`
--
ALTER TABLE `kehadiran`
  ADD PRIMARY KEY (`id_kehadiran`);

--
-- Indexes for table `pendidikan`
--
ALTER TABLE `pendidikan`
  ADD PRIMARY KEY (`id_pendidikan`);

--
-- Indexes for table `penilaian`
--
ALTER TABLE `penilaian`
  ADD PRIMARY KEY (`id_penilaian`);

--
-- Indexes for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
  ADD PRIMARY KEY (`id_perilaku`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- Indexes for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
  ADD PRIMARY KEY (`id_rekomendasi`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- Indexes for table `skp`
--
ALTER TABLE `skp`
  ADD PRIMARY KEY (`id_skp`), ADD UNIQUE KEY `idx_penilaian` (`id_penilaian`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `kehadiran`
--
ALTER TABLE `kehadiran`
  MODIFY `id_kehadiran` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `pendidikan`
--
ALTER TABLE `pendidikan`
  MODIFY `id_pendidikan` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `kegiatan`
--
ALTER TABLE `kegiatan`
MODIFY `id_kegiatan` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `penilaian`
--
ALTER TABLE `penilaian`
MODIFY `id_penilaian` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
MODIFY `id_perilaku` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
MODIFY `id_rekomendasi` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `skp`
--
ALTER TABLE `skp`
MODIFY `id_skp` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `kegiatan`
--
ALTER TABLE `kegiatan`
ADD CONSTRAINT `kegiatan_fk1` FOREIGN KEY (`id_skp`) REFERENCES `skp` (`id_skp`);

--
-- Constraints for table `perilaku_kerja`
--
ALTER TABLE `perilaku_kerja`
ADD CONSTRAINT `perilaku_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

--
-- Constraints for table `rekomendasi`
--
ALTER TABLE `rekomendasi`
ADD CONSTRAINT `rekomendasi_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

--
-- Constraints for table `skp`
--
ALTER TABLE `skp`
ADD CONSTRAINT `skp_fk1` FOREIGN KEY (`id_penilaian`) REFERENCES `penilaian` (`id_penilaian`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
